# DeviceUseStatement read

`GET /DeviceUseStatement/{id}`

This resource stores information about a device that a patient uses or has used, as reported by the patient, a care provider, or a related person. Device use statements may indicate an implanted device (e.g., a pacemaker or cochlear implant) or an external device the patient uses at home (e.g., a hearing aid or CPAP machine).

### read

Review a specific `DeviceUseStatement` resource with details about a device a patient uses, including the reason for its use, the related body site, and the date range of when they used it.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | DeviceUseStatement identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/DeviceUseStatement/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The DeviceUseStatement

A profile on the DeviceUseStatement resource that conforms to Redox requirements. Represents a record of a device being used by a patient, as reported by the patient, a practitioner, or a related person.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: DeviceUseStatement |
| `status` | string | Yes | A code representing the patient or other source's judgment about the state of the device used that this statement is about.  Generally this will be active or completed. Possible values: active, completed, entered-in-error + |
| `subject` | object | Yes | The patient who used the device. Must be a resource of type `Patient`. |
| `subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `device` | object | Yes | The details of the device used. Must be a resource of type `Device`. |
| `device.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | An external identifier for this statement such as an IRI. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `basedOn` | Array of object | No | A plan, proposal or order that is fulfilled in whole or in part by this DeviceUseStatement. Must be a resource of type `ServiceRequest`. |
| `basedOn[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `recordedOn` | string | No | The time at which the statement was made/recorded. |
| `source` | object | No | Who reported the device was being used by the patient. Must reference one of the following types of resources: - `Patient` - `Practitioner` - `PractitionerRole` - `RelatedPerson` |
| `source.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `reasonCode` | Array of object | No | Reason or justification for the use of the device. |
| `reasonCode[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `reasonCode[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `reasonCode[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `reasonCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `bodySite` | object | No | Indicates the anotomic location on the subject's body where the device was used ( i.e. the target). |
| `bodySite.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `bodySite.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `bodySite.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `bodySite.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `note` | Array of object | No | Details about the device statement that were not represented at all or sufficiently in one of the attributes provided in a class. These may include for example a comment, an instruction, or a note associated with the statement. |
| `note[].text` | string | Yes | The text of the annotation in markdown format. |
| `timingPeriod` | object | No | How often the device was used. Only one of `timingPeriod`, `timingDateTime` may be present. |
| `timingPeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `timingPeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `timingDateTime` | string | No | How often the device was used. Only one of `timingPeriod`, `timingDateTime` may be present. |

```json
{
  "resourceType": "DeviceUseStatement",
  "id": "RedoxDeviceUseStatementExample",
  "status": "active",
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "device": {
    "reference": "Device/RedoxDeviceExample"
  },
  "timingPeriod": {
    "start": "2019-04-01T17:04:16.605Z"
  },
  "recordedOn": "2019-04-01T17:04:16.605Z",
  "bodySite": {
    "coding": [
      {
        "code": "89644007",
        "system": "http://snomed.info/sct",
        "display": "Left ear structure"
      }
    ],
    "text": "Left ear"
  }
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
